ELSA - Include YUI library #289

Closed
GoogleCodeExporter opened this Issue Mar 24, 2015 · 2 comments

Comments

Projects
None yet
1 participant
http://code.google.com/p/enterprise-log-search-and-archive/wiki/Documentation#Ho
sting_all_files_locally

http://yuilibrary.com/downloads/yui2/yui_2.9.0.zip

http://yuilibrary.com/license/

Original issue reported on code.google.com by doug.bu...@gmail.com on 21 Jan 2013 at 1:27

it appears we can do the following:
- install the libjs-yui package from the standard Ubuntu repos
- mkdir /opt/elsa/web/inc/yui
- ln -s /usr/share/javascript/yui /opt/elsa/web/inc/yui/build
- modify /etc/elsa_web.conf per Martin's documentation:
Edit the elsa_web.conf file and set yui/local to be "inc" and comment
out "version" and "modifier."

Sent the following questions to Martin:
- Do you see any obvious issues with this?
- Does ELSA require any specific version of YUI?  The Ubuntu version
number is 2.8.2r1.
- Should we default all users to this or is there some specific
advantage to pulling from the Internet when Internet access is
available?  I'd prefer to keep this simple and have one default for
all users unless there is some compelling reason for the additional
complexity.

Original comment by doug.bu...@gmail.com on 21 Jan 2013 at 2:20

  • Added labels: ****
  • Removed labels: ****
http://securityonion.blogspot.com/2013/05/new-elsa-and-sphinx-packages-now.html

Original comment by doug.bu...@gmail.com on 3 May 2013 at 9:04

  • Changed state: Verified
  • Added labels: ****
  • Removed labels: ****
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment